package WebDP::RESTful;
use strict;
use URI;
use URI::QueryParam;
use LWP::Simple ();
use XML::Simple ();

sub new {
    my($class, $api) = @_;
    bless { api => $api }, $class;
}

sub call {
    my($self, %args) = @_;
    my $uri = URI->new($self->{api});
    $uri->query_form_hash(\%args);
    my $xml = LWP::Simple::get($uri->as_string);
    return XML::Simple::XMLin($xml);
}

1;