#!/usr/local/bin/perl -w
use strict;
use CGI;
use XMLRPC::Lite;
use Data::Dumper;

my $query = CGI->new();

print $query->header('text/html; charset=utf-8');
print_form($query);

if (my $mode  = $query->param('mode')) {
    my $text = $query->param('text');
    my $result = XMLRPC::Lite->proxy("http://example.com/api/book")
        ->call("book.$mode" => $text)
        ->result;

    print Dumper($result);
}

sub print_form {
    my $query = shift;
    print $query->start_form, $query->textfield(-name => 'text'),
        $query->radio_group(-name => 'mode', -values => [ 'findByISBN', 'findByAuthor' ]),
        $query->br, $query->submit(-name => '.submit', -value => 'find'),
        $query->end_form;
}